use markdown_parser::parse;

pub fn main() {
    // let markdown = std::fs::read_to_string("/home/ben/markdown_test.md").unwrap();
    let markdown = "
This _is_ a **test** paragraph.
[This](http://www.google.com) is a regular full-length link.
|A|this is **middle** col|CC|
|-|:-:|---:|
|A|||
";
    let document = parse(&markdown);
    for node in document {
        println!("{:?}", node);
        if let markdown_parser::Block::Paragraph(blocks) = node {
            for block in blocks {
                println!("  {:?}", block);
            }
        } else if let markdown_parser::Block::List(lines) = node {
            for line in lines {
                println!("-");
                for block in line {
                    println!("  {:?}", block);
                }
            }
        } else if let markdown_parser::Block::Table(table) = node {
            for column in table.columns {
                print!("  {:?}: ", column.alignment);
                for block in column.name {
                    print!("{:?} ", block);
                }
                println!();
            }
            println!();
        }
    }
}
